package com.yanzuoguang.excel;


import com.yanzuoguang.util.base.ObjectHelper;

/**
 * 行数据默认处理
 * @author 颜佐光
 */
public class ExcelRowDefault implements ExcelRow<Object> {

    /**
     * 获取行里面的某列数据
     *
     * @param row   　行
     * @param field 　列
     * @return
     */
    @Override
    public String get(Object row, String field) {
        return ObjectHelper.getString(row, field);
    }

    private static ExcelRowDefault my = new ExcelRowDefault();

    /**
     * 获取默认实例
     *
     * @return
     */
    public static ExcelRowDefault getInstance() {
        return my;
    }
}
